commit:     ea1688642bc27909ed769f3c775aad08bc0ad7e2
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 27 12:18:28 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct 27 12:30:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea168864

xfce-extra/xfce4-sensors-plugin: Bump to 1.3.90 (alpha for 1.4)

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-sensors-plugin/Manifest           |  1 +
 .../xfce4-sensors-plugin-1.3.90.ebuild             | 61 ++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/xfce-extra/xfce4-sensors-plugin/Manifest 
b/xfce-extra/xfce4-sensors-plugin/Manifest
index a7ef4a440ea..23d8c8ccb4a 100644
--- a/xfce-extra/xfce4-sensors-plugin/Manifest
+++ b/xfce-extra/xfce4-sensors-plugin/Manifest
@@ -1,3 +1,4 @@
 DIST xfce4-sensors-plugin-1.2.6.tar.bz2 454524 BLAKE2B 
1dc663f726f6079fc030ef08fc9384fd4ccf3b05786bb899c7028d9adb66d85e3da4d9aed5a29cc5b15c0bb258538fdca31cd2a9430710c1e0a383f8eb8d2353
 SHA512 
5c520f1c253df1bb9e29855c5ccfc1536034945ca68b43cd8b6d97083e528b2430230d9c51d43953a71c3f0171ae718bf1557714729b1343ebd51f91f3f36d60
 DIST xfce4-sensors-plugin-1.2.98.tar.bz2 477241 BLAKE2B 
dcb757e7014a159fbba77a24248a0663207aa0031a624d60c899483b608f729e31dafdd2de4e5d6a64122a2abbaa21eaa857afdbfa266203b0639ced7f299d4a
 SHA512 
6437acc17d2719e3deef011c206c8c5593f4b14a8263e82bb3b0e8b1cb7e17e842adf2cb3a479e1a8e2729db744df2778ee04bc9af5e4c918f417e1c8ac4d17e
 DIST xfce4-sensors-plugin-1.3.0.tar.bz2 466468 BLAKE2B 
52eadaec22980105fcf4c4e5efb4621b0966e86520e7ded90a1514f7925d76232278ec105785409dbe13f5ab4019363b47b63b5df642319a924fe5a8882b847c
 SHA512 
77f6df354c883f9f0b99856738e0976e7bddd5f16c90a8715777c4f4d6debe116cdc21c2e0efbbe9f371d36f9469797d3e631854c33f8561e3ff32291cdef35a
+DIST xfce4-sensors-plugin-1.3.90.tar.bz2 474322 BLAKE2B 
3d3e4c08ea1e6c973b3dc274a64826e4cd1ff75ab9eda91a822eaf1caad7786364d2c5f35b36d3b5772d0f99e7c13349f69c23f98312cecdda1d73eb87b33839
 SHA512 
692bcaad876323627a882f5e6e535f547e8eff59676a0586c86496abe410d395fd4f049febcd9c8bd774eed9713d5e12e3f13d5eda91c888eb165fc7bcf8c294

diff --git a/xfce-extra/xfce4-sensors-plugin/xfce4-sensors-plugin-1.3.90.ebuild 
b/xfce-extra/xfce4-sensors-plugin/xfce4-sensors-plugin-1.3.90.ebuild
new file mode 100644
index 00000000000..41cea6e1651
--- /dev/null
+++ b/xfce-extra/xfce4-sensors-plugin/xfce4-sensors-plugin-1.3.90.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils
+
+DESCRIPTION="A panel plug-in for acpi, lm_sensors and hddtemp sensors"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-sensors-plugin";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="+acpi hddtemp libnotify lm_sensors video_cards_nvidia"
+
+REQUIRED_USE="|| ( hddtemp lm_sensors acpi )"
+
+RDEPEND=">=x11-libs/gtk+-3.20:3=
+       >=xfce-base/libxfce4ui-4.12:=[gtk3(+)]
+       >=xfce-base/xfce4-panel-4.12:=
+       hddtemp? ( app-admin/hddtemp net-analyzer/gnu-netcat )
+       libnotify? ( >=x11-libs/libnotify-0.7:= )
+       lm_sensors? ( >=sys-apps/lm_sensors-3.1.0:= )
+       video_cards_nvidia? ( x11-drivers/nvidia-drivers[tools,static-libs] )"
+
+DEPEND="${RDEPEND}
+       dev-util/intltool
+       virtual/pkgconfig"
+
+DOCS=( AUTHORS ChangeLog NEWS NOTES README TODO )
+
+src_configure() {
+       local myconf=(
+               --libexecdir="${EPREFIX}"/usr/$(get_libdir)
+               $(use_enable lm_sensors libsensors)
+               $(use_enable hddtemp)
+               $(use_enable hddtemp netcat)
+               $(use_enable acpi procacpi)
+               $(use_enable acpi sysfsacpi)
+               $(use_enable video_cards_nvidia xnvctrl)
+               $(use_enable libnotify notification)
+               --disable-pathchecks
+       )
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       einstalldocs
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to